Skip to main content
GET
/
subscriptions
/
cp
/
api
/
product-infos
/
variant-data
/
{variantIds}
Get variant data for a list of variant IDs
curl --request GET \
  --url https://www.myshop.com/apps/subscriptions/cp/api/product-infos/variant-data/{variantIds}
[
  {
    "get__typename": "<string>",
    "id": "<string>",
    "inventoryQuantity": 123,
    "title": "<string>",
    "price": {},
    "inventoryItem": {
      "get__typename": "<string>",
      "tracked": true,
      "requiresShipping": true
    },
    "product": {
      "get__typename": "<string>",
      "id": "<string>",
      "title": "<string>",
      "handle": "<string>"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

variantIds
string
required

Response

200 - */*

OK

get__typename
string
id
string
inventoryPolicy
enum<string>
Available options:
DENY,
CONTINUE,
$UNKNOWN
inventoryQuantity
integer<int32>
title
string
price
object
inventoryItem
object
product
object